Bug 29449 - [Q35] failure to read EDID/vbios for LVDS, no mode => no output
Summary: [Q35] failure to read EDID/vbios for LVDS, no mode => no output
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium blocker
Assignee: Chris Wilson
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-08 03:44 UTC by Jos Vos
Modified: 2010-09-06 03:50 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Fedora 13 dmesg output with drm.debug=0xc (109.96 KB, text/plain)
2010-08-08 04:11 UTC, Jos Vos
no flags Details
Fedora 13 Xorg.0.log (109.61 KB, text/plain)
2010-08-08 04:14 UTC, Jos Vos
no flags Details
Fedora 13 xrandr --verbose output (2.82 KB, text/plain)
2010-08-08 04:16 UTC, Jos Vos
no flags Details
SLED 11 xrandr --verbose output (8.63 KB, text/plain)
2010-08-08 04:19 UTC, Jos Vos
no flags Details
Persevere without a fixed mode (2.84 KB, patch)
2010-08-08 06:27 UTC, Chris Wilson
no flags Details | Splinter Review
Guess DDC bus without VBIOS (2.60 KB, patch)
2010-08-12 08:49 UTC, Chris Wilson
no flags Details | Splinter Review
Compilation patch (51.32 KB, patch)
2010-09-06 03:50 UTC, Chris Wilson
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jos Vos 2010-08-08 03:44:58 UTC

    
Comment 1 Jos Vos 2010-08-08 03:55:39 UTC
Description (enter button submitted the bug too early):

An an IBM SurePOS 566 with an Intel 82Q35 graphics chipset and a 15" display (touchscreen) attached to it, the primary video does not work.  Instead, at an early stage in the boot stage, the output switches to the external VGA output (to which I connected a monitor).  This is the part of the dmesg where I added a comment:

[...]
usb 1-5.2: new full speed USB device using ehci_hcd and address 3
usb 1-5.2: New USB device found, idVendor=05ba, idProduct=000a
usb 1-5.2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 1-5.2: Product: U.are.UĀ® 4500 Fingerprint Reader
usb 1-5.2: Manufacturer: DigitalPersona, Inc.
usb 1-5.2: SerialNumber: {3740B292-0CE7-0C45-BFC2-5053D2C76391}
fbcon: inteldrmfb (fb0) is primary device
###### HERE THE CONSOLE SWITCHES FROM PRIMARY TO SECONDARY DISPLAY !!! ######
Console: switching to colour frame buffer device 160x64
fb0: inteldrmfb frame buffer device
registered panic notifier
No ACPI video bus found
[drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[...]

This is on Fedora 13 with xorg-x11-drv-intel 2.11.0.  The same problem occurs on RHEL6 beta2 and OpenSUSE 11.3 can't even do X at all (not even on the secondary display).  SLED 11 (using an older 2.6.27 kernel) works fine with the intel driver.

I will add full dmesg output etc. as attachments to this bug.
Comment 2 Jos Vos 2010-08-08 04:11:07 UTC
Created attachment 37689 [details]
Fedora 13 dmesg output with drm.debug=0xc
Comment 3 Jos Vos 2010-08-08 04:14:10 UTC
Created attachment 37690 [details]
Fedora 13 Xorg.0.log 

Note that this is the log for the X session running on the seconday display, where I connected a 1280x1024 display to the external VGA output.
Comment 4 Jos Vos 2010-08-08 04:16:57 UTC
Created attachment 37691 [details]
Fedora 13 xrandr --verbose output

Note that X was running on the secondary, external monitor.
Comment 5 Jos Vos 2010-08-08 04:19:01 UTC
Created attachment 37692 [details]
SLED 11 xrandr --verbose output

Note that X was running here on BOTH the internal 1024x768 display and on the secondary 1280x1024 display.  If you want me to disable the external display for the test, let me know.
Comment 6 Chris Wilson 2010-08-08 05:08:49 UTC
Out of curiosity whilst I have a read of the code to see what happened, can you try a rawhide kernel just on the off-chance that we now successfully read the EDID?
Comment 7 Chris Wilson 2010-08-08 06:27:42 UTC
Created attachment 37693 [details] [review]
Persevere without a fixed mode

This should help with the secondary issue of failing to do anything with a SDVO LVDS panel without reading the EDID. But the real bug is not reading the EDID/VBT successfully in the first place.
Comment 8 Jos Vos 2010-08-08 06:56:10 UTC
Latest Fedora rawlihide kernel (2.6.36-0.0.rc0.git1.fc15.i686) does not seem to change anything.
Comment 9 Chris Wilson 2010-08-12 08:49:59 UTC
Created attachment 37818 [details] [review]
Guess DDC bus without VBIOS

Looks very similar to bug 29499.
Comment 11 Chris Wilson 2010-09-06 03:21:51 UTC
I've sent the patches upstream, http://cgit.freedesktop.org/~ickle/drm-intel/log/
Comment 12 Jos Vos 2010-09-06 03:35:36 UTC
(In reply to comment #11)
> I've sent the patches upstream,
> http://cgit.freedesktop.org/~ickle/drm-intel/log/

Is there an easy way I can test this on my HW with F13 (or RHEL6beta2)?  With 
"easy" I mean for example a patch that applies to one of the latest F13 kernels, so that I rebuild the kernel rpm with that patch.
Comment 13 Chris Wilson 2010-09-06 03:47:26 UTC
You can try downloading the tree and doing:

$ cp /boot/config-2.6.x .config
$ make oldconfig
$ make
$ make rpm

I'm not sure just how easy it would be patch the F13 kernel, you might want to poke a friendly fedora kernel maintainer. Let me compile a single patch with the relevant fixes and hope it applies to F13...
Comment 14 Chris Wilson 2010-09-06 03:50:39 UTC
Created attachment 38473 [details] [review]
Compilation patch

I think the "37818: Guess DDC bus without VBIOS" is sufficient to fix your issue by itself, but hopefully this patch finds the correct VBIOS.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.